# $Revision: 1.23 $, $Date: 2012/05/08 09:38:01 $
Summary:	A program that reminds you to take wrist breaks
Summary(pl.UTF-8):	Program przypominający, żeby dać odpocząć nadgarstkom
Name:		drwright
Version:	3.2.5
Release:	1
License:	GPL v2
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/drwright/3.2/%{name}-%{version}.tar.xz
# Source0-md5:	c23d1b9aefdbf31268b888f50826c164
URL:		http://www.gnome.org/
BuildRequires:	autoconf
BuildRequires:	automake >= 1:1.9
BuildRequires:	glib2-devel >= 1:2.26.0
BuildRequires:	gnome-settings-daemon-devel >= 3.0.0
BuildRequires:	gtk+3-devel >= 3.0.0
BuildRequires:	intltool >= 0.40.0
BuildRequires:	libcanberra-gtk3-devel
BuildRequires:	libnotify-devel >= 0.7
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.592
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-lib-libXScrnSaver-devel
BuildRequires:	xz
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	glib2 >= 1:2.26.0
Requires:	gnome-control-center >= 3.0.0
Requires:	gnome-settings-daemon >= 3.0.0
Requires:	hicolor-icon-theme
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
DrWright is a program that forces you to take wrist breaks to rest
your hands.

%description -l pl.UTF-8
DrWright to program zmuszający do rozluźnienia nadgarstków, aby dać
odpocząć dłoniom.

%prep
%setup -q

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--disable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/control-center-1/panels/*.la
%{__rm} $RPM_BUILD_ROOT%{_libdir}/gnome-settings-daemon-3.0/*.la

# already exists as zu
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/tmp

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor
%glib_compile_schemas

%postun
%update_icon_cache hicolor
%glib_compile_schemas

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS
%attr(755,root,root) %{_libdir}/control-center-1/panels/libdrwrightccp.so
%dir %{_libdir}/drwright
%attr(755,root,root) %{_libdir}/drwright/gnome-typing-monitor
%attr(755,root,root) %{_libdir}/gnome-settings-daemon-3.0/libtyping-break.so
%{_libdir}/gnome-settings-daemon-3.0/typing-break.gnome-settings-plugin
%{_desktopdir}/gnome-typing-break-panel.desktop
%{_datadir}/drwright
%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.plugins.typing-break.gschema.xml
%{_iconsdir}/hicolor/*/*/*.png
%{_iconsdir}/hicolor/*/*/*.svg

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: drwright.spec,v $
Revision 1.23  2012/05/08 09:38:01  kiesiu
- updated to 3.2.5

Revision 1.22  2011/11/15 12:58:32  megabajt
- updated md5

Revision 1.21  2011/11/15 12:56:48  megabajt
- updated to 3.2.2
- removed obsolete -locale-names.patch

Revision 1.20  2007/02/12 21:23:53  glen
- tabs in preamble

Revision 1.19  2007/02/12 00:48:46  baggins
- converted to UTF-8

Revision 1.18  2005/02/27 20:21:31  darekr
- typo in BR

Revision 1.17  2004/12/25 17:40:50  qboosh
- unified

Revision 1.16  2004/11/27 18:52:06  saq
- massive attack: add missing gtk+2-devel epoch in BR

Revision 1.15  2004/10/03 12:37:59  grzegol
- updated to 0.18
- removed outdated schemas and pl.po patches
- added locale-names patch (rename locale no -> nb)

Revision 1.14  2004/08/17 12:12:40  ankry
- added pango epoch to R:/BR:

Revision 1.13  2003/08/30 14:53:46  deejay1
- added patch for pl translations
- cosmetics

Revision 1.12  2003/08/05 11:59:01  grzegol
- rel++ to rebuild without linc
- cosmetics/sorting/simplifications/etc.

Revision 1.11  2003/07/07 13:03:14  qboosh
- use _desktopdir macro, other minor changes where needed

Revision 1.10  2003/06/24 10:56:11  aflinta
- version 0.17

Revision 1.9  2003/05/26 16:24:55  malekith
- massive attack: adding Source-md5

Revision 1.8  2003/05/25 05:46:57  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2003/04/28 14:42:17  aflinta
- version 0.16

Revision 1.6  2003/03/05 19:27:56  aflinta
- updated to version 0.15

Revision 1.5  2003/02/21 09:25:51  qboosh
- BR: autoconf,automake

Revision 1.4  2003/02/20 23:38:18  aflinta
- version 0.14.91; - I don't know why --disable-schemas-install doesn't work, so this should be only temporary solution

Revision 1.3  2003/01/20 15:50:28  qboosh
- removed COPYING (just GPL)

Revision 1.2  2003/01/19 22:18:52  qboosh
- pl description

Revision 1.1  2003/01/14 17:54:32  aflinta
- initial PLD release
